org.apache.ignite.internal.processors.platform.client.binary

## Class ClientBinaryTypeGetRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.binary.ClientBinaryTypeGetRequest

All Implemented Interfaces:
  ClientListenerRequest

    public class ClientBinaryTypeGetRequest
    extends ClientRequest

Binary type schema request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`ClientBinaryTypeGetRequest(BinaryRawReader reader)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientResponse` `process(ClientConnectionContext ctx)` Processes the request.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`authorize, requestId, runWithSecurityExceptionHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientBinaryTypeGetRequest

    public ClientBinaryTypeGetRequest(BinaryRawReader reader)

Constructor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    public ClientResponse process(ClientConnectionContext ctx)

Processes the request.

Overrides:
  `process` in class `ClientRequest`
Returns:
  Response.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018